using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RGDWCSServices.WMS
{
    public class getUserBind : PlatformBase
    {
        /// <summary>入参定义
        /// 入参定义
        /// </summary>
        [Serializable]
        public class PARA : Base.InPara
        {

            private string _wh_id;

            private string _task_no;

            private string _oper_no;

            private string _box_bar_code;

            public string WH_ID
            {
                get { return this._wh_id; }
                set { this._wh_id = value; }
            }

            public string TASK_NO
            {
                get { return this._task_no; }
                set { this._task_no = value; }
            }


            public string OPER_NO
            {
                get { return this._oper_no; }
                set { this._oper_no = value; }
            }


            public string BOX_BAR_CODE
            {
                get { return this._box_bar_code; }
                set { this._box_bar_code = value; }
            }

        }
        [Serializable]
        public class BIND
        {
            string _bar_code;
            string _user_no;
            string _user_name;
            string _user_add;

            public string BAR_CODE
            {
                get { return this._bar_code; }
                set { this._bar_code = value; }
            }

            public string USER_NO
            {
                get { return this._user_no; }
                set { this._user_no = value; }
            }

            public string USER_NAME
            {
                get { return this._user_name; }
                set { this._user_name = value; }
            }

            public string USER_ADD
            {
                get { return this._user_add; }
                set { this._user_add = value; }
            }
        }
        /// <summary>出参定义
        /// 出参定义
        /// </summary>
        [Serializable]
        public class DATA : Base.OutPara
        {
            private List<BIND> _sbind;


            public List<BIND> BINDS
            {
                get { return this._sbind; }
                set { this._sbind = value; }
            }

        }

        /// <summary>入参实体
        /// 入参实体
        /// </summary>
        private PARA _inPara;

        /// <summary>出参实体
        /// 出参实体
        /// </summary>
        private DATA _outPara;

        public getUserBind()
        {
            this._inPara = new PARA();
        }

        /// <summary>通知
        /// 通知
        /// </summary>
        /// <param name="IO_TASK_NO">任务单号</param>
        /// <param name="ePLAN_STATUS">任务状态</param>
        /// <param name="sResult">返回结果</param>
        /// <returns></returns>
        public bool Notify( string TASK_NO, string BOX_BARCODE, out string sResult)
        {
            bool bResult = true;
            sResult = string.Empty;

            string sXmlOut = string.Empty;

            try
            {
                this._inPara.WH_ID = GetWarehouseIndex();

                this._inPara.TASK_NO = TASK_NO;

                this._inPara.OPER_NO = GetOperNo();

                this._inPara.BOX_BAR_CODE = BOX_BARCODE;

                string sXmlIn = this.Serializer<PARA>(this._inPara);

                bResult = this.getUserBind(sXmlIn, out sXmlOut);

                //调用服务成功
                if (bResult)
                {
                    this._outPara = this.DeSerialize<DATA>(sXmlOut);

                    bResult = this._outPara.RESULT_FLAG.Equals(Enum.RESULT_FLAG.Success.ToString("d"));

                    sResult = sXmlOut;
                }

                return bResult;
            }
            catch (Exception ex)
            {
                bResult = false;

                sResult = string.Format(ex.Message);
            }

            return bResult;
        }
    }
}
